package auction;

import java.util.Collection;
import java.util.Iterator;

import javax.naming.InitialContext;
import javax.naming.NamingException;

/**
 * Bean implementation class for Enterprise Bean: ListingFacade
 */
public class ListingFacadeBean implements javax.ejb.SessionBean {
	private javax.ejb.SessionContext mySessionCtx;
	/**
	 * getSessionContext
	 */
	public javax.ejb.SessionContext getSessionContext() {
		return mySessionCtx;
	}
	/**
	 * setSessionContext
	 */
	public void setSessionContext(javax.ejb.SessionContext ctx) {
		mySessionCtx = ctx;
	}
	/**
	 * ejbCreate
	 */
	public void ejbCreate() throws javax.ejb.CreateException {
	}
	/**
	 * ejbActivate
	 */
	public void ejbActivate() {
	}
	/**
	 * ejbPassivate
	 */
	public void ejbPassivate() {
	}
	/**
	 * ejbRemove
	 */
	public void ejbRemove() {
	}

	private InitialContext initContext;

	private ItemLocalHome getOnlineitemLocalHome() throws NamingException {
		if (initContext == null) {
			initContext= new InitialContext();
		}
		return (ItemLocalHome)initContext.lookup("java:comp/env/ejb/Item");
	}

	public ItemData findById(Integer itemid) {
		ItemData data = null;
		try {
			data = getOnlineitemLocalHome().findByPrimaryKey(new ItemKey(itemid)).getItemData();
		}
		catch (Exception ex) {
			ex.printStackTrace();
		}
		return data;
	}

	public ItemData[] findByTitle(String title) {
		ItemData[] data = null;
		try {
			Collection col = getOnlineitemLocalHome().findByTitle(title);
			data = new ItemData[col.size()];
			Iterator it = col.iterator();
			for (int i = 0; it.hasNext(); i++) {
				data[i] = ((ItemLocal)it.next()).getItemData();
			}
		}
		catch (Exception ex) {
			ex.printStackTrace();
		}
		return data;
	}
}