/*==================================================================
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corp. 2002.  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
 * sample code created by IBM Corporation.  This sample code is
 * not part of any standard or IBM product and is provided to you
 * solely for the purpose of assisting you in the development of
 * your applications.  The code is provided "AS IS", without
 * warranty of any kind.  IBM shall not be liable for any damages
 * arising out of your use of the sample code, even if they have
 * been advised of the possibility of such damages.
 *===============================================================*/
package com.ibm.portal.struts.example.fileupload;

import org.apache.jetspeed.portlet.PortletConfig;
import org.apache.jetspeed.portlet.UnavailableException;

import com.ibm.wps.portlet.menu.MenuProvider;
import com.ibm.wps.portlet.menu.MenuContext;
import com.ibm.wps.portlet.menu.MenuTree;
import com.ibm.wps.portlet.menu.MenuNode;
import com.ibm.wps.portlets.struts.WpsStrutsPortlet;

/**
 * The FileUploadMenuPortlet shows how to use the portals menu api.
 */ 
public class FileUploadMenuPortlet extends WpsStrutsPortlet
implements MenuProvider
{
   private boolean m_enableMenu = false;
   
   /**
    * FileUploadMenuPortlet constructor
    *
    */
   public FileUploadMenuPortlet()
   {
   }
 
   /**
    * init method, see if the menu is enabled.
    */
   public void init(PortletConfig portletConfig )
   throws UnavailableException
   {
      super.init(portletConfig );

      String enableMenu = 
         portletConfig.getInitParameter( "enableMenu" );
         
      if ( enableMenu != null && enableMenu.equalsIgnoreCase("true"))
      {
         m_enableMenu = true;
      }
   }
   
   /**
    * return the menu tree if enabled
    */
   public MenuTree getMenu( MenuContext menuContext )
   {
   	  // call setupBase so that the portlet objects
   	  // are accessable.
   	  setupBase( menuContext.getPortletRequest(),
   	             menuContext.getPortletResponse(),
   	             getPortletConfig() );
      if ( m_enableMenu )
      {
         return new StrutsMenuTree( menuContext );
      }
      else
      {
         return null;
      }
   }

   
}
