/*==================================================================
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corp. 2002.  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
 * sample code created by IBM Corporation.  This sample code is
 * not part of any standard or IBM product and is provided to you
 * solely for the purpose of assisting you in the development of
 * your applications.  The code is provided "AS IS", without
 * warranty of any kind.  IBM shall not be liable for any damages
 * arising out of your use of the sample code, even if they have
 * been advised of the possibility of such damages.
 *===============================================================*/
package com.ibm.portal.struts.example.fileupload;

import org.apache.jetspeed.portlet.PortletRequest;
import org.apache.jetspeed.portlet.PortletResponse;
import org.apache.jetspeed.portlet.PortletURI;

import java.util.Locale;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.ibm.portal.struts.common.PortletApiUtils;
import com.ibm.portal.struts.common.PortletURIAttributes;
import com.ibm.wps.portlet.menu.MenuNode;

public class StrutsMenuNode implements MenuNode
{
   private PortletURI m_portletURI;
   
   public StrutsMenuNode( PortletRequest request, PortletResponse response )
   {
      PortletApiUtils portletUtils = PortletApiUtils.getUtilsInstance();

      if (portletUtils != null) {

         PortletURIAttributes uriAttributes = new PortletURIAttributes();
         m_portletURI = (PortletURI)
            portletUtils.createStrutsPortletURL(
               (HttpServletRequest) request,
               (HttpServletResponse) response,
               "/welcome.do",
               uriAttributes );
      }
      
   }
   
   /**
    * Get the description
    */
   public String getDescription()
   {
      return "home page";
   }
      
   /**
    * Get the description based on locale
    */
   public String getDescription( Locale locale )
   {
      return getDescription();
   }

   /**
    * get the id.
    */      
   public String getId()
   {
      return "";
   }

   /**
    * Get the title
    */
   public String getTitle()
   {
      return "Home Page";
   }

   /**
    * Get the title based on locale
    */
   public String getTitle(Locale arg0)
   {
      return getTitle();
   }


   /**
    * Get the URL, this will take the file upload to the home
    * page.
    */
   public String getURL()
   {
      return m_portletURI.toString();
   }

   /**
    * Get the menu scope.
    */
   public int getScope()
   {
      return MenuNode.SCOPE_REQUEST;
   }
}
