package com.ibm.websphere.query.base;

/**
	<P>The IPredicate interface is an object that represents a predicate in a query. 
	
	<P>It extends the IStringBuilder interface.
	
	<P>Instances of classes that implement	this interface are used to represent predicates that
	contain an operator and predicate bases (conditions or sub predicates).
 */
public interface IPredicate extends IStringBuilder
{
  /**
   * Returns the operator of the predicate.
   */
  IOperator getOperator();
  /**
   * Returns the sub predicates of the predicate.
   */
  PredicateBase[] getPredicateBases();
}