package com.ibm.websphere.query.base;


public class Join implements IJoin
{
  private ITable table;
  private IAttribute compareAttribute;
  private IAttribute fromAttribute;
  private IAttribute toAttribute;

  public Join(ITable table, IAttribute compareAttribute, IAttribute fromAttribute, IAttribute toAttribute)
  {
    this.table = table;
    this.compareAttribute = compareAttribute;
    this.fromAttribute = fromAttribute;
    this.toAttribute = toAttribute;
  }

  public Join(ITable table, IAttribute fromAttribute, IAttribute toAttribute)
  {
    this.table = table;    
    this.fromAttribute = fromAttribute;
    this.toAttribute = toAttribute;
  }

  public IAttribute getFromAttribute()
  {
    return fromAttribute;
  }

  public ITable getTable()
  {
    return table;
  }

  public IAttribute getToAttribute()
  {
    return toAttribute;
  }

  public void setFromAttribute(IAttribute attribute)
  {
    this.fromAttribute = attribute;

  }

  public void setTable(ITable table)
  {
    this.table = table;

  }

  public void setToAttribute(IAttribute attribute)
  {
    this.toAttribute = attribute;
  }

  public String buildString(ISelectQueryCallback builder) throws QueryException
  {
    return "";
  }
  public void buildString(ISelectQueryCallback builder, StringBuffer sb) throws QueryException
  {
    builder.buildJoin(this, sb);
  }

  public IAttribute getCompareAttribute()
  {
    return compareAttribute;
  }

  public void setCompareAttribute(IAttribute attribute)
  {
    this.compareAttribute = attribute;
  }
  
  public boolean equals(Object obj)
  {
    boolean equals = false;
    if (obj instanceof IJoin)
    {
      IJoin join = (IJoin) obj;
      equals = join.getTable().equals(getTable()) && join.getFromAttribute().equals(getFromAttribute()) && join.getToAttribute().equals(getToAttribute());      
    }
    return equals;
  }
  
  public int hashCode()
  {    
    return table.hashCode() 
    ^ fromAttribute.hashCode() 
    ^ toAttribute.hashCode();
  }

}
