/* @copyright module */
/*                                                                            */
/*  DISCLAIMER OF WARRANTIES:                                                 */
/*  -------------------------                                                 */
/*  The following [enclosed] code is sample code created by IBM Corporation.  */
/*  This sample code is provided to you solely for the purpose of assisting   */
/*  you in the development of your applications.                              */
/*  The code is provided "AS IS", without warranty of any kind. IBM shall     */
/*  not be liable for any damages arising out of your use of the sample code, */
/*  even if they have been advised of the possibility of such damages.        */
package com.ibm.etools.portal.portletexamples.cooperative.legacy;

import org.apache.jetspeed.portlet.PortletRequest;
import org.apache.jetspeed.portlet.PortletResponse;
import org.apache.jetspeed.portlet.PortletSession;
import org.apache.jetspeed.portlet.PortletURI;

public class ShippingUtils {
    private static final String SHIPPING_PREFIX = "SHIPPING";
    private static final String LAST_MODIFIED = SHIPPING_PREFIX + "lastModified";


    public static String createSimpleActionURI(String actionName, PortletResponse response) {
        PortletURI portletURI = response.createReturnURI();
        portletURI.addAction(actionName);
        String actionURI = portletURI.toString();
        return actionURI;
    }

    public static void setLastModified(PortletRequest request) {
        PortletSession session = request.getPortletSession();
        session.setAttribute(LAST_MODIFIED, new Long(System.currentTimeMillis()));
    }

    public static long getLastModified(PortletRequest request) {
        PortletSession session = request.getPortletSession();
        Long lastModified = (Long) session.getAttribute(LAST_MODIFIED);
        return(lastModified == null) ? -1 : lastModified.longValue();
    }
}
