/*
 * ItemFilter.java
 *
 * This file is part of the specification for the
 * Java Content Repository API.
 */
package javax.jcr;

/**
 * Classes implementing this interface can be used in the method
 * <code>{@link Node#getItems(ItemFilter filter)}</code>. To
 * filter the set of returned child items.
 *
 * @author Peeter Piegaze
 */
public interface ItemFilter {

    /**
     * Returns <code>true</code> if the specified item is to be
     * included in the set of child items returned by
     * <code>{@link Node#getItems(ItemFilter filter)}</code>.
     *
     * @param item The item to be tested for inclusion in the returned set.
     *
     * @return a <code>boolean</code>.
     */
    public boolean accept(Item item);
}
