/*
 * PropertyIterator.java
 *
 * This file is part of the specification for the
 * Java Content Repository API
 */
package javax.jcr;

/**
 * Allows easy iteration through a list of <code>Property</code>s
 * with <code>nextProperty</code> as well as a <code>skip</code> method.
 *
 * @author Peeter Piegaze
 */
public interface PropertyIterator extends RangeIterator {

    /**
     * Returns the next <code>Property</code> in the iteration.
     *
     * @return the next <code>Property</code> in the iteration.
     * @throws java.util.NoSuchElementException if iteration has no more <code>Property</code>s.
     */
    public Property nextProperty();
}