/*
 * StaleValueException.java
 *
 * This file is part of the specification for the
 * Java Content Repository API
 */
package javax.jcr;

/**
 * Exception thrown by methods of <code>Property</code>
 * and <code>Node</code> that write the values of properties when
 * the value in question has been changed via another ticket since the last
 * time it was read by this ticket.
 *
 * @author Peeter Piegaze
 */
public class StaleValueException extends RepositoryException {

    /**
     * Class constructor that creates a <code>StaleValueException</code>
     */
    public StaleValueException() {
        super();
    }

    /**
     * Class constructor that creates a <code>StaleValueException</code> given
     * a message describing the failure cause
     * @param s description
     */
    public StaleValueException(String s) {
        super(s);
    }

    /**
     * Class constructor that creates a <code>StaleValueException</code> given
     * a message describing the failure and a root exception
     * @param s description
     * @param e root failure cause
     */
    public StaleValueException(String s, Exception e) {
        super(s, e);
    }
}
