/*
 * UnsupportedRepositoryOperationException.java
 *
 * This file is part of the specification for the
 * Java Content Repository API
 */
package javax.jcr;

/**
 * In level 1 implementations, exception thrown by methods that are only
 * relevant to level 2 implementations, in level 2 may be thrown by mwehtod
 * related to optional features (such as locking) which are missing from a
 * particular level 2 implementation.
 *
 * @author Peeter Piegaze
 */
public class UnsupportedRepositoryOperationException extends RepositoryException {
    /**
     * Class constructor that creates a <code>UnsupportedRepositoryOperationException</code>
     */
    public UnsupportedRepositoryOperationException() {
	super();
    }

    /**
     * Class constructor that creates a <code>UnsupportedRepositoryOperationException</code> given
     * a message describing the failure cause
     * @param s description
     */
    public UnsupportedRepositoryOperationException(String s) {
	super(s);
    }

    /**
     * Class constructor that creates a <code>UnsupportedRepositoryOperationException</code> given
     * a message describing the failure and a root exception
     * @param s description
     * @param e root failure cause
     */
    public UnsupportedRepositoryOperationException(String s, Exception e) {
	super(s, e);
    }
}
